LinuxQuestions.org
Did you know LQ has a Linux Hardware Compatibility List?
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Hardware
User Name
Password
Linux - Hardware This forum is for Hardware issues.
Having trouble installing a piece of hardware? Want to know if that peripheral is compatible with Linux?

Notices

Reply
 
Search this Thread
Old 07-03-2004, 12:10 PM   #1
GrumpyGnome
Member
 
Registered: May 2004
Location: Ridgecrest, CA; nowhere near a ridge
Distribution: Fedora C2 & RH9
Posts: 34

Rep: Reputation: 15
Unhappy fedora c2; ati 9600pro; can't build drivers


using:
ATI 9600pro
Fedora C2 (no updates) 2.6.5-1.358
catalyst-fglrx-4.1.0-3.9.0.i386.rpm
logged in as root

I have tried to make the drivers per instructions:
# ./make.sh
ATI module generator V 2.0
==========================
initializing...
Error:
XFree86 drm includes at /lib/modules/2.6.5-1.358/build/include/../drivers/char/d rm do not fit this driver.
This driver is designed to only work with X4.1.0 or higher.
You can match this by getting Linux kernel 2.4.8 or higher.

Huh? I don't know what X4.1.0 means or how to move on from here. My kernel is higher than 2.4.8.
Can anyone help?
 
Old 07-03-2004, 02:14 PM   #2
penguin4
Senior Member
 
Registered: May 2004
Location: california
Distribution: mdklinux8.1
Posts: 1,209

Rep: Reputation: 45
GG; take a peek at vote for rpm,s just scrolled saw something about ATI,s
um interesting!
 
Old 07-03-2004, 03:04 PM   #3
marks_linux
LQ Newbie
 
Registered: Jul 2004
Posts: 11

Rep: Reputation: 0
you need to have the kernel source installed as well.

yum install kernel-sourcecode

hope that gets you going

Mark
 
Old 07-03-2004, 05:22 PM   #4
penguin4
Senior Member
 
Registered: May 2004
Location: california
Distribution: mdklinux8.1
Posts: 1,209

Rep: Reputation: 45
marks_linux; thanks for tip.
 
Old 07-03-2004, 09:05 PM   #5
GrumpyGnome
Member
 
Registered: May 2004
Location: Ridgecrest, CA; nowhere near a ridge
Distribution: Fedora C2 & RH9
Posts: 34

Original Poster
Rep: Reputation: 15
Thanks,
I didn't have the kernel source. But after loading it I sitll get the same message. I'll check out ATI and see if there are any clues there. FYI, I tried the check.sh file they have to see the Xfree86 version and it would not run either. says I am not running from the console...I was and as root. Back to the drawing board.
 
Old 07-03-2004, 10:40 PM   #6
Nychold
LQ Newbie
 
Registered: Mar 2004
Distribution: Fedora Core 1
Posts: 20

Rep: Reputation: 0
X4.1.0 refers to your version of XFree86. The ATI Radeon drivers are X11 dependant, and only versions 4.1.0, 4.2.0, and 4.3.0 are currently supported. At least, that's what ATI says...whether it's true or not, I don't know.
 
Old 07-04-2004, 02:49 AM   #7
marks_linux
LQ Newbie
 
Registered: Jul 2004
Posts: 11

Rep: Reputation: 0
Sorry if its bad form to link to another forum but the following worked for me (after installing kernel source)

http://www.fedoraforum.org/forum/showthread.php?t=16690

Mark
 
Old 07-04-2004, 05:46 PM   #8
GrumpyGnome
Member
 
Registered: May 2004
Location: Ridgecrest, CA; nowhere near a ridge
Distribution: Fedora C2 & RH9
Posts: 34

Original Poster
Rep: Reputation: 15
Thanks Mark and everyone,
Marks link was just what I needed. I followed the "how to" and to my surprise after ignoring several errors and warnings the 9600Pro is running the ATI drivers! I had to remember to set the make files to execute permission and learn to use emacs to edit from init 3. I am pretty sure I do not understand what I did but I can repeat it. One change I had to make in the procedure was to copy the XF86Config-4 file to xorg.conf and edit the changes into it directly. The first time I tried to copy and past from the old xorg.conf file something went wrong and I got the following error:
Fatal Error: No screens found
However, by editing the file carefully a reboot and startx got the drivers running. I was stuck in 640x480 with no apparent way to use the dialog boxes made for 1024x768 but another edit of xorg.conf and shazaam!
Happy Fourth of July to All!!!
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
ATI 9600Pro & ATI Proprietary Drivers problem Hyakutake Slackware 6 12-04-2005 10:08 AM
ATI Radeon 9600Pro Insomnia Linux - Hardware 1 04-03-2005 05:16 AM
Ati 9600pro on suse 9.1 markster Linux - Newbie 1 07-06-2004 10:45 AM
How Do I force load drivers for my ATI 9600pro Lfsve82 Linux - Hardware 0 02-08-2004 06:06 PM
About ATI Radeon 9600pro driver cyruslam Linux - General 32 01-02-2004 06:24 PM


All times are GMT -5. The time now is 07:49 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration